Bug 147257 - ports missing a direct dependency on devel/gettext
ports missing a direct dependency on devel/gettext
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: ade
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 20:50 UTC by kamikaze
Modified: 2010-09-13 17:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2010-05-31 20:50:01 UTC
The following ports lack the devel/gettext dependency entry in their Makefile and need to be version bumped:

textproc/libcroco
devel/glib20
shells/bash
textproc/libxslt
security/libgcrypt
devel/dbus-glib
devel/eggdbus
sysutils/polkit
devel/libIDL
devel/ORBit2
devel/gconf2
devel/gio-fam-backend
x11-toolkits/pango
devel/gamin
x11-toolkits/gtk20 (also links against its old version during build)
graphics/ImageMagick
audio/arts
net/avahi-app
devel/avr-gcc
sysutils/consolekit
devel/desktop-file-utils
textproc/enchant
net-im/farsight2
graphics/gegl
graphics/gimp-app
print/gimp-gutenprint
devel/glibmm
devel/gnome-vfs
textproc/gsed
multimedia/gstreamer-ffmpeg
multimedia/gstreamer-plugins
multimedia/gstreamer-plugins-bad
audio/gstreamer-plugins-cdparanoia
multimedia/gstreamer-plugins-dvd
audio/gstreamer-plugins-esound
audio/gstreamer-plugins-flac
devel/gstreamer-plugins-gnomevfs
multimedia/gstreamer-plugins-gnonlin
graphics/gstreamer-plugins-jpeg
audio/gstreamer-plugins-lame
multimedia/gstreamer-plugins-good
graphics/gstreamer-plugins-libpng
audio/gstreamer-plugins-ogg
audio/gstreamer-plugins-pulse
audio/gstreamer-plugins-shout2
audio/gstreamer-plugins-sndfile
multimedia/gstreamer-plugins-ugly
audio/gstreamer-plugins-wavpack
multimedia/gstreamermm
x11-toolkits/gtkglext
textproc/gtkspell
print/gutenprint-base
x11-toolkits/gtkmm24
print/gutenprint-ijs
irc/irssi
sysutils/k3b
devel/libbonobo
x11-toolkits/libbonoboui
multimedia/libdv
x11/libgnome
graphics/libgnomecanvas
x11-toolkits/libgnomeui
devel/libgsf
graphics/liblqr-1
net-im/libnice
devel/libnotify
graphics/libopenraw
net-im/libpurple
graphics/librsvg2
devel/libsoup
textproc/libwpd
textproc/libxml++26
multimedia/mjpegtools
audio/mpc
textproc/openjade
x11-toolkits/pangomm
net-im/pidgin
graphics/poppler-gtk
graphics/pstoedit
devel/py-dbus
multimedia/py-gstreamer
multimedia/smpeg
multimedia/vcdimager
editors/vim
www/webkit-gtk2
net/wireshark

Fix: 

Add missing dependency, bump PORTREVISION.
Comment 1 Edwin Groothuis freebsd_committer 2010-05-31 20:51:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->autotools

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 ade freebsd_committer 2010-05-31 22:51:12 UTC
State Changed
From-To: open->suspended

A lot of the ports here are owned by gnome@ so I've asked them to look at 
theirs and look at the rest. 


Comment 3 ade freebsd_committer 2010-05-31 22:51:12 UTC
Responsible Changed
From-To: autotools->ade

Apparently the kevlar hat wasn't enough.  I need a tank.
Comment 4 dfilter freebsd_committer 2010-05-31 23:53:55 UTC
marcus      2010-05-31 22:52:40 UTC

  FreeBSD ports repository

  Modified files:
    net/wireshark        Makefile 
    www/webkit-gtk2      Makefile 
    devel/py-dbus        Makefile 
    graphics/poppler-gtk Makefile 
    x11-toolkits/pangomm Makefile 
    devel/libsoup        Makefile 
    net-im/libpurple     Makefile 
    net-im/pidgin        Makefile 
    graphics/librsvg2    Makefile 
    devel/libnotify      Makefile 
    net-im/libnice       Makefile 
    devel/libgsf         Makefile 
    x11-toolkits/libbonoboui Makefile 
    devel/libbonobo      Makefile 
    graphics/libgnomecanvas Makefile 
    x11/libgnome         Makefile 
    x11-toolkits/libgnomeui Makefile 
    graphics/gimp-app    Makefile 
    x11-toolkits/gtkmm24 Makefile 
    textproc/gtkspell    Makefile 
    devel/gnome-vfs      Makefile 
    devel/glibmm         Makefile 
    net-im/farsight2     Makefile 
    devel/desktop-file-utils Makefile 
    sysutils/consolekit  Makefile 
    net/avahi-app        Makefile 
    x11-toolkits/gtk20   Makefile 
    devel/gamin          Makefile 
    x11-toolkits/pango   Makefile 
    devel/gio-fam-backend Makefile 
    devel/gconf2         Makefile 
    devel/ORBit2         Makefile 
    devel/libIDL         Makefile 
    devel/eggdbus        Makefile 
    devel/dbus-glib      Makefile 
    textproc/libxslt     Makefile 
    devel/glib20         Makefile 
    textproc/libcroco    Makefile 
  Log:
  Bump PORTREVISION and add USE_GETTEXT where missing.
  
  PR:             147257
  
  Revision  Changes    Path
  1.140     +2 -1      ports/devel/ORBit2/Makefile
  1.14      +2 -0      ports/devel/dbus-glib/Makefile
  1.23      +2 -1      ports/devel/desktop-file-utils/Makefile
  1.5       +2 -0      ports/devel/eggdbus/Makefile
  1.39      +2 -1      ports/devel/gamin/Makefile
  1.94      +1 -1      ports/devel/gconf2/Makefile
  1.18      +2 -1      ports/devel/gio-fam-backend/Makefile
  1.167     +1 -1      ports/devel/glib20/Makefile
  1.50      +2 -1      ports/devel/glibmm/Makefile
  1.146     +1 -1      ports/devel/gnome-vfs/Makefile
  1.53      +2 -0      ports/devel/libIDL/Makefile
  1.69      +1 -1      ports/devel/libbonobo/Makefile
  1.61      +1 -1      ports/devel/libgsf/Makefile
  1.26      +2 -1      ports/devel/libnotify/Makefile
  1.77      +2 -1      ports/devel/libsoup/Makefile
  1.37      +2 -0      ports/devel/py-dbus/Makefile
  1.246     +1 -1      ports/graphics/gimp-app/Makefile
  1.64      +1 -1      ports/graphics/libgnomecanvas/Makefile
  1.84      +2 -0      ports/graphics/librsvg2/Makefile
  1.14      +1 -1      ports/graphics/poppler-gtk/Makefile
  1.18      +2 -0      ports/net-im/farsight2/Makefile
  1.12      +2 -0      ports/net-im/libnice/Makefile
  1.81      +1 -1      ports/net-im/libpurple/Makefile
  1.34      +1 -1      ports/net-im/pidgin/Makefile
  1.24      +1 -1      ports/net/avahi-app/Makefile
  1.155     +2 -0      ports/net/wireshark/Makefile
  1.15      +2 -1      ports/sysutils/consolekit/Makefile
  1.42      +1 -1      ports/textproc/gtkspell/Makefile
  1.22      +2 -0      ports/textproc/libcroco/Makefile
  1.93      +1 -0      ports/textproc/libxslt/Makefile
  1.26      +2 -0      ports/www/webkit-gtk2/Makefile
  1.245     +1 -1      ports/x11-toolkits/gtk20/Makefile
  1.129     +2 -1      ports/x11-toolkits/gtkmm24/Makefile
  1.71      +1 -1      ports/x11-toolkits/libbonoboui/Makefile
  1.71      +1 -1      ports/x11-toolkits/libgnomeui/Makefile
  1.119     +1 -1      ports/x11-toolkits/pango/Makefile
  1.7       +2 -1      ports/x11-toolkits/pangomm/Makefile
  1.171     +1 -1      ports/x11/libgnome/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 kamikaze 2010-06-05 17:20:27 UTC
The gnome guys did their job. What about the rest?


-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 6 kamikaze 2010-06-05 17:23:46 UTC
On 05/06/2010 18:20, Dominic Fandrey wrote:
> The gnome guys did their job. What about the rest?

That sounded rather unfriendly. I really just wanted to inquire,
what happens now.

I regularly check all my open PRs and I like to get them closed.

Regards

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 7 ade freebsd_committer 2010-06-05 21:38:40 UTC
On Jun 05, 2010, at 09:30 , Dominic Fandrey wrote:
> That sounded rather unfriendly. I really just wanted to inquire,
> what happens now.

Working on it.  However, between a lovely ear infection and selling my =
house, time is a bit limited ;)

Trust me, it'll get done before 8.3-REL

-aDe
Comment 8 kamikaze 2010-09-07 14:54:32 UTC
I think by now this can be closed.

Most of it has been addressed and the issue is self-healing
over enough time anyway.

Regards and thank you for your time.

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 9 ade freebsd_committer 2010-09-13 17:32:08 UTC
State Changed
From-To: suspended->closed

Closed at submitters request, though I've kept the list elsewhere for 
future reference.